# $Revision: 1.7 $, $Date: 2002/08/18 12:02:00 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	LDAP
Summary:	DBD::LDAP Perl module
Summary(cs):	Modul DBD::LDAP pro Perl
Summary(da):	Perlmodul DBD::LDAP
Summary(de):	DBD::LDAP Perl Modul
Summary(es):	Mdulo de Perl DBD::LDAP
Summary(fr):	Module Perl DBD::LDAP
Summary(it):	Modulo di Perl DBD::LDAP
Summary(ja):	DBD::LDAP Perl ⥸塼
Summary(ko):	DBD::LDAP  
Summary(no):	Perlmodul DBD::LDAP
Summary(pl):	Modu Perla DBD::LDAP
Summary(pt):	Mdulo de Perl DBD::LDAP
Summary(pt_BR):	Mdulo Perl DBD::LDAP
Summary(ru):	  Perl DBD::LDAP
Summary(sv):	DBD::LDAP Perlmodul
Summary(uk):	  Perl DBD::LDAP
Summary(zh_CN):	DBD::LDAP Perl ģ
Name:		perl-DBD-LDAP
Version:	0.05
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl-DBI >= 1.03
BuildRequires:	perl-ldap >= 0.01
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::LDAP - a DBI driver for LDAP databases.

%description -l pl
DBD::LDAP - sterownik DBI do baz danych LDAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/DBD/LDAP.pm
%{perl_sitelib}/JLdap.pm
%{perl_sitelib}/auto/DBD
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBD-LDAP.spec,v $
Revision 1.7  2002/08/18 12:02:00  blues
- release 4 - license fix; STBR

Revision 1.6  2002/07/16 23:26:09  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/DBD/LDAP
- release 3

Revision 1.5  2002/07/14 19:37:42  ankry
- added -paths patch fixing path to perl binary
- release 2

Revision 1.4  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.3  2002/07/11 07:58:30  depesz
- new version; should work; STBR

Revision 1.2  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
